import request from '@/utils/request'

// 银行列表列表
export function apiBankLists(params: any) {
    return request.get({ url: '/bank/bank/lists', params })
}

// 添加银行列表
export function apiBankAdd(params: any) {
    return request.post({ url: '/bank/bank/add', params })
}

// 编辑银行列表
export function apiBankEdit(params: any) {
    return request.post({ url: '/bank/bank/edit', params })
}

// 删除银行列表
export function apiBankDelete(params: any) {
    return request.post({ url: '/bank/bank/delete', params })
}

// 银行列表详情
export function apiBankDetail(params: any) {
    return request.get({ url: '/bank/bank/detail', params })
}

// 添加银行列表
export function apimMrchantbankLists(params: any) {
    return request.get({ url: '/merchat/merchantbank/lists', params })
}

// 添加银行列表
export function apimMrchantbankCheck(params: any) {
    return request.post({ url: '/merchat/merchantbank/check', params })
}

// 资金流水列表
export function apiFinancialRecordLists(params: any) {
    return request.get({ url: '/financial/FinancialRecord/lists', params })
}